Subject: Re: bug#24639: 26.0.50; Terminal paste doesn't work right in term char mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2016 08:56:16 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 09 Oct 2016 20:48:59 +0000
> Cc: [email-masked]
> 
>  > > Maybe M-x term should temporarily bracketed paste mode when in char
>  > > mode.
>  >
>  > That's what I was trying to suggest. Does this have downsides?
>  >
>  > I wouldn't expect any. Bracketed paste mode is a bit faster, but running a bit slower is better than not
>  working
>  > at all.
> 
>  Then please push such a change to the emacs-25 branch.
> 
> Unfortunately it's not that simple: Bracketed paste more should only be disabled when a term buffer is active
> on an xterm and in char mode. So this will probably require an addition to window-configuration-change-hook
> or similar.

Sorry, I don't understand the reasons for the complication.  The "in
char mode" part was already on the table when we discussed this
previously.  Presumably, there's a function in term-mode which
switches to and from char mode, and that function should turn
bracketed paste mode on or off, accordingly.  Is that right?

For the "term buffer is active" part, do you mean re-enable the
bracketed paste mode when the user switches to another buffer?  If so,
won't it be easier, simpler, and more reliable to do that in a
post-command-hook?

Or maybe it's easier to arrange for xterm-paste to realize the current
buffer is in term char mode, and do the "normal" paste part?  Is that
possible?